Bug 581164 - Review Request: maven-timestamp-plugin - Provides formatted timestamps for maven builds
Summary: Review Request: maven-timestamp-plugin - Provides formatted timestamps for ma...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-10 17:46 UTC by Guido Grazioli
Modified: 2010-05-13 22:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-13 22:44:17 UTC
akurtako: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Guido Grazioli 2010-04-10 17:46:18 UTC
Spec URL: 
http://guidograzioli.fedorapeople.org/packages/maven-timestamp-plugin/maven-timestamp-plugin.spec
SRPM URL: 
http://guidograzioli.fedorapeople.org/packages/maven-timestamp-plugin/maven-timestamp-plugin-1.0-1.fc12.src.rpm
Description: 
There are a few ways to get a timestamp in your maven build. Unfortunately
most of them make you jump through giant hoops. This maven plugin makes it
as simple as 1-2-3 to create a timestamp at your disposal.
Also, it enables you to use the syntax of SimpleDateFormat to form custom
formatted dates.

Comment 1 Guido Grazioli 2010-04-10 17:49:26 UTC
Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2107704

Issues:
- upstream does not provide latest source archive; sources are exported from svn using release tag 
- no README file, nor LICENSE file (license is Apache 2.0)

Asked upstream today to sort those things out.

Comment 3 Alexander Kurtakov 2010-04-19 12:43:56 UTC
Hmm, where are these guidelines? 
I don't remember any requirements to name the plugins in this strange way. Only reason for having a number of plugins with this odd name is because they are coming from the maven2 srpm. Please revert to the original name you used which matches the upstream name.

  "Package naming

Packages MUST follow the standard Fedora Packaging/NamingGuidelines . Java API documentation MUST be placed into a sub-package called %{name}-javadoc. "

Comment 4 Guido Grazioli 2010-04-19 13:14:16 UTC
(In reply to comment #3)
> Hmm, where are these guidelines? 
> I don't remember any requirements to name the plugins in this strange way. Only
> reason for having a number of plugins with this odd name is because they are
> coming from the maven2 srpm. Please revert to the original name you used which
> matches the upstream name.
> 
>   "Package naming
> 
> Packages MUST follow the standard Fedora Packaging/NamingGuidelines . Java API
> documentation MUST be placed into a sub-package called %{name}-javadoc. "    

OK, i misunderstood that line:
"Addon Packages (General)
If a new package is considered an "addon" package that enhances or adds a new functionality to an existing Fedora package without being useful on its own, its name should reflect this fact.
The new package ("child") should prepend the "parent" package in its name, in the format: %{parent}-%{child}. "
while seeing all those maven2-plugin-{name}, i though i had to adhere to that naming convention. However, matching the upstream name does satisfy that guideline.

Reverted files:
http://guidograzioli.fedorapeople.org/packages/maven-timestamp-plugin/

Comment 5 Alexander Kurtakov 2010-04-23 08:33:25 UTC
Review:

OK: rpmlint must be run on every package. The output should be posted in the review.
Rpmlint output:
maven-timestamp-plugin.src: W: spelling-error Summary(en_US) timestamps -> time stamps, time-stamps, times tamps
maven-timestamp-plugin.src: W: invalid-url Source0: maven-timestamp-plugin-1.0.tar.xz
maven-timestamp-plugin-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese

These are false positives.


OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Instructions for the tarball creation included in the spec file.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content.
OK: Large documentation files must go in a -doc subpackage. There is a javadoc package with the programing documentation.
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
NOT OK: Packages must not own files or directories already owned by other packages. Do not own 
%{_datadir}/maven2/poms
%config(noreplace) %{_mavendepmapfragdir}
 instead own the files in them i.e.
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
I've also remove the config(noreplace) part because it's plain wrong for depmaps despite the rpmlint warning.

OK: All filenames in rpm packages must be valid UTF-8. 

There is just a small problem that the package owns directories owned by other packages. Once this is fixed it's good to go.

Comment 7 Alexander Kurtakov 2010-04-26 11:12:17 UTC
Thanks,

This package is APPROVED.

Comment 8 Guido Grazioli 2010-04-26 20:13:44 UTC
New Package CVS Request
=======================
Package Name: maven-timestamp-plugin
Short Description: Provides formatted timestamps for maven builds
Owners: guidograzioli
Branches: F-12 F-13

Comment 9 Jason Tibbitts 2010-04-29 02:12:32 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Alexander Kurtakov 2010-05-11 19:06:15 UTC
Can we close this now?
See http://koji.fedoraproject.org/koji/buildinfo?buildID=169845

Comment 11 Guido Grazioli 2010-05-11 23:35:50 UTC
Sure; I plan to let the package stay only in rawhide for a while, should i close the bug as "NEXTRELEASE" or "RAWHIDE"?

Comment 12 Alexander Kurtakov 2010-05-13 14:34:40 UTC
RAWHIDE is fine.


Note You need to log in before you can comment on or make changes to this bug.